FontInfoFinder (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.fonts.autodetect

## Class FontInfoFinder

- java.lang.Object
- - org.apache.fop.fonts.autodetect.FontInfoFinder

-     public class FontInfoFinder
      extends Object

  Attempts to determine correct FontInfo

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FontInfoFinder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EmbedFontInfo[]` | `find(URI fontURI, InternalResourceResolver resourceResolver, FontCache fontCache)` Attempts to determine EmbedFontInfo from a given font file.
    `void` | `setEventListener(FontEventListener listener)` Sets the font event listener that can be used to receive events about particular events in this class.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FontInfoFinder

          public FontInfoFinder()

  - ### Method Detail

    - #### setEventListener

          public void setEventListener(FontEventListener listener)

      Sets the font event listener that can be used to receive events about particular events in this class.
      Parameters:
        `listener` - the font event listener

    - #### find

          public EmbedFontInfo[] find(URI fontURI,
                                      InternalResourceResolver resourceResolver,
                                      FontCache fontCache)

      Attempts to determine EmbedFontInfo from a given font file.
      Parameters:
        `fontURI` - the URI of the font resource
        `resourceResolver` - font resolver used to resolve font
        `fontCache` - font cache (may be null)
      Returns:
        an array of newly created embed font info. Generally, this array will have only one entry, unless the fontUrl is a TrueType Collection

Copyright © 2025 Apache Software Foundation. All rights reserved.